Skip to main content
POST
/
excel
/
analyze
Excel Analyze
curl --request POST \
  --url https://backend.overtenai.com/api/v1/excel/analyze \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "file_id": "<string>",
  "prompt": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Send X-API-Key: sk_live_<your_key>. Keys are issued via POST /signup or via the dashboard. Legacy callers may also use Authorization: Bearer sk_live_<your_key>.

Body

application/json
file_id
string
required

file_id of a previously uploaded xlsx/csv.

prompt
string
required
Required string length: 1 - 5000

Response

Successful Response